Back to FinWise
FinWise API
Reference
Introduction
Authentication
Errors
Pagination
Versioning
Core resources
Accounts
The account object
POST
Create an account
GET
List accounts
GET
Retrieve an account
PATCH
Update an account
POST
Archive an account
Account balances
The balance object
POST
Create a balance
GET
List balances
GET
Aggregate balances
Account groups
The account group object
POST
Create an account group
GET
List account groups
DELETE
Delete an account group
Holdings
The holding object
POST
Create a holding
GET
List holdings
DELETE
Delete a holding
Transactions
The transaction object
POST
Create a transaction
GET
List transactions
PATCH
Update a transaction
POST
Update many transactions
GET
Aggregate transactions
POST
Archive a transaction
POST
Set tags
Merchants
The merchant object
POST
Create a merchant
GET
List merchants
DELETE
Delete a merchant
Categories
The category object
POST
Create a category
GET
List categories
PATCH
Update a category
DELETE
Delete a category
Category groups
The category group object
POST
Create a category group
GET
List category groups
DELETE
Delete a category group
Tags
The tag object
POST
Create a tag
GET
List tags
DELETE
Delete a tag
Budgets
The budget object
POST
Set a budget
GET
List budgets
POST
Aggregate budgets
Planned transactions
The planned transaction object
POST
Create a planned transaction
GET
List planned transactions
DELETE
Delete a planned transaction
FinWise API
Support
Changelog
Category groups
A folder of categories, e.g. Everyday or Housing.
Endpoints
POST
/transaction-category-groups
Create a group
GET
/transaction-category-groups
List groups
PATCH
/transaction-category-groups/:id
Update a group
DELETE
/transaction-category-groups/:id
Delete a group